/*
* Author:          Patrick-Christopher Mattulat
* Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2024-05-30
* Changed:         2026-06-23
*
* */

#include <ls-std/event/EventParameter.hpp>

using ls::standard::event::EventParameter;
using ::std::list;
using ::std::string;

EventParameter::EventParameter() = default;

EventParameter::~EventParameter() = default;

void EventParameter::addParameter(const string &_parameter)
{
  this->parameters.push_back(_parameter);
}

list<string> EventParameter::get() const
{
  return this->parameters;
}
